# Class PickResultBase`Abstract`

Base class for some classes used in PickResult.

#### Hierarchy (View Summary)

- PickResultBase
  - PickResultMesh
  - PickResultIcon
  - PickResultIfcProductMesh

##### Index

### Constructors

constructor

### Properties

id

### Accessors

hitInfo

### Methods

equals

## Constructors

### constructor

- new PickResultBase(id: number): PickResultBase

  Constructor

  #### Parameters

  - id: number

    Unique GPU picking id for the hit object

  #### Returns PickResultBase

## Properties

### `Readonly` id

id: number

Unique GPU picking id for the hit object

## Accessors

### `Abstract` hitInfo

- get hitInfo(): Intersection[]

  Exact intersection information. If no such information exists a empty array shall be returned.

  #### Returns Intersection[]

## Methods

### equals

- equals(pickResult: PickResult): boolean

  Compare two PickResult instances.

  #### Parameters

  - pickResult: PickResult

  #### Returns boolean